Subject: Re: [bitcoin-dev] Bitcoin Assistance

From: Gregory Maxwell <[email-masked]>
Date: Wed, 27 Sep 2017 22:06:58 +0000

On Wed, Sep 27, 2017 at 9:20 PM, Cory Fields via bitcoin-dev
<[email-masked]> wrote:
>> License for A fast alternative to the modulo reduction
>
> This references a comment cuckoocache.h. No code from the site is used. The
> link to the site was added after the code, as the site provides a helpful
> explanation for the technique used.

As the author of that comment: the reference there is unrelated to the
code but just a found-on-the-internet explanation for an trivial, old,
and well known technique (which I've seen in code since at least the
80s) that manages to sometimes surprise people who aren't familiar
with fixed point signal processing.  I wrote and submitted the comment
after encountering people confused by our code in another project,
long after it was written.